<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/id_back_network"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:paddingHorizontal="7dp"
        android:src="@mipmap/fanhui"
        android:tint="@color/black"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Network Traffic"
        android:textColor="#333333"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/id_back_network"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/id_back_network" />

    <com.noober.background.view.BLLinearLayout
        android:id="@+id/id_ll_top_option"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="18dp"
        android:layout_marginTop="20dp"
        android:padding="4dp"
        app:bl_corners_radius="11dp"
        app:bl_solid_color="#F6F7FB"
        app:layout_constraintTop_toBottomOf="@+id/id_back_network">

        <com.noober.background.view.BLTextView
            android:id="@+id/id_tv_this_month"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:paddingVertical="7dp"
            android:text="This Month"
            android:textSize="13sp"
            app:bl_corners_radius="7dp"
            app:bl_selected_solid_color="@color/white"
            app:bl_selected_textColor="#333333"
            app:bl_unSelected_solid_color="#F6F7FB"
            app:bl_unSelected_textColor="#666666" />

        <com.noober.background.view.BLTextView
            android:id="@+id/id_30_day"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:paddingVertical="7dp"
            android:text="30 Days"
            android:textSize="13sp"
            app:bl_corners_radius="7dp"
            app:bl_selected_solid_color="@color/white"
            app:bl_selected_textColor="#333333"
            app:bl_unSelected_solid_color="#F6F7FB"
            app:bl_unSelected_textColor="#666666" />

        <com.noober.background.view.BLTextView
            android:id="@+id/id_24_hours"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:paddingVertical="7dp"
            android:text="24 Hours"
            android:textSize="13sp"
            app:bl_corners_radius="7dp"
            app:bl_selected_solid_color="@color/white"
            app:bl_selected_textColor="#333333"
            app:bl_unSelected_solid_color="#F6F7FB"
            app:bl_unSelected_textColor="#666666" />

    </com.noober.background.view.BLLinearLayout>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:id="@+id/id_coord_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="15dp"
        android:background="@color/white"
        app:layout_constraintTop_toBottomOf="@+id/id_ll_top_option">

        <com.google.android.material.appbar.AppBarLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_scrollFlags="scroll|exitUntilCollapsed">

                <TextView
                    android:id="@+id/id_tv_mobile"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="18dp"
                    android:text="Mobile"
                    android:textColor="#FCAD45"
                    android:textSize="13sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/id_mobile_liuliang"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:textColor="#333333"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="@+id/id_tv_mobile"
                    app:layout_constraintTop_toBottomOf="@+id/id_tv_mobile"
                    tools:text="164.0 MB" />

                <TextView
                    android:id="@+id/id_tv_wifi"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Wi-Fi"
                    android:textColor="#4772FF"
                    android:textSize="13sp"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/id_tv_mobile"
                    app:layout_constraintStart_toStartOf="@+id/id_wifi_liuliang"
                    app:layout_constraintTop_toTopOf="@+id/id_tv_mobile" />

                <TextView
                    android:id="@+id/id_wifi_liuliang"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:layout_marginEnd="18dp"
                    android:textColor="#333333"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/id_tv_wifi"
                    tools:text="2.3 GB" />


            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="18dp"
                    android:layout_weight="1"
                    android:text="Apps"
                    android:textColor="#333333"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/id_tv_types"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="12dp"
                    android:drawablePadding="1dp"
                    android:gravity="center"
                    android:text="Both types"
                    android:textColor="#333333"
                    android:textStyle="bold"
                    app:drawableEndCompat="@mipmap/daw_98956" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <TextView
                android:id="@+id/id_tv_no_data"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="83dp"
                android:drawablePadding="15dp"
                android:gravity="center"
                android:text="No data used"
                android:visibility="gone"
                app:drawableTopCompat="@mipmap/wr_79"
                app:layout_behavior="@string/appbar_scrolling_view_behavior" />

        </com.google.android.material.appbar.AppBarLayout>


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/id_rl_network_tra"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_behavior="@string/appbar_scrolling_view_behavior" />


    </androidx.coordinatorlayout.widget.CoordinatorLayout>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/id_ll_no_accpermion"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/white"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/id_back_network">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/accesspermission" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="67dp"
            android:text="Grant permission to continue"
            android:textColor="#666666"
            android:textSize="16sp" />

        <com.noober.background.view.BLTextView
            android:id="@+id/id_gant"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginHorizontal="41dp"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:text="GRANT"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold"
            app:bl_corners_radius="24dp"
            app:bl_solid_color="#4772FF" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <LinearLayout
        android:id="@+id/id_ll_net_dh"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/white"
        android:gravity="center"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/id_back_network"
        tools:visibility="gone">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/id_lottie_network"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            app:lottie_loop="true" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>